## ros-melodic-ros1-ign 0.7.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ros1_ign)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-melodic-ros1-ign (0.7.0-1stretch) stretch; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Thu, 15 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign (0.6.3-1stretch) stretch; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign (0.6.2-1stretch) stretch; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign (0.6.1-1stretch) stretch; urgency=high

  * Merge pull request #35 <https://github.com/osrf/ros1_ign_bridge/issues/35> from osrf/image_meta
    Add ros_ign_image to metapackage
  * Add ros_ign_image to metapackage
    Signed-off-by: chapulina <mailto:louise@openrobotics.org>
    typo
    Signed-off-by: chapulina <mailto:louise@openrobotics.org>
  * Contributors: Nate Koenig, chapulina

 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign (0.6.0-1stretch) stretch; urgency=high

  * 0.5.0 partial
  * 0.5.0
  * Merge pull request #28 <https://github.com/osrf/ros1_ign_bridge/issues/28> from osrf/pointcloudpacked
    Bridge point cloud packed
  * Contributors: Nate Koenig
  * Merge pull request #28 <https://github.com/osrf/ros1_ign_bridge/issues/28> from osrf/pointcloudpacked
    Bridge point cloud packed
  * Contributors: Nate Koenig

 -- Louise Poubel <louise@openrobotics.org>  Fri, 02 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign (0.4.0-1stretch) stretch; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Jul 2019 07:00:00 -0000

ros-melodic-ros1-ign (0.3.1-1stretch) stretch; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Mon, 01 Jul 2019 07:00:00 -0000

ros-melodic-ros1-ign (0.3.0-1stretch) stretch; urgency=high

  * 0.2.0
  * Demos package (#19 <https://github.com/osrf/ros1_ign_bridge/issues/19>)
    * Start of demos package: camera
    * IMU
    * depth camera
    * magnetometer
    * lidar, base launch
    * READMEs, RGBD camera
    * screenshots
    * missing IMU
    * set plugin path env
    * It's best to always set it
  * Point clouds for RGBD cameras (#17 <https://github.com/osrf/ros1_ign_bridge/issues/17>)
    * Beginning of point cloud package
    * Populating image data, but result is not correct. Must find out where's the source of the problem.
    * RGB -> BGR: why?
    * Cleanup code and example
    * pointcloud -> point_cloud
    * add keys - how was this working before?
    * install wget
    * well, we need ign-gz2 :sweat_smile:
    * README update
    * PR feedback
    * .travis/build: rosdep skip ignition keys (#18 <https://github.com/osrf/ros1_ign_bridge/issues/18>)
    * .travis/build: rosdep skip ignition keys
    * Update build
  * Move package to subfolder, add metapackage (#16 <https://github.com/osrf/ros1_ign_bridge/issues/16>)
  * Contributors: Nate Koenig, chapulina

 -- Louise Poubel <louise@openrobotics.org>  Fri, 28 Jun 2019 07:00:00 -0000

ros-melodic-ros1-ign (0.2.2-1stretch) stretch; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-melodic-ros1-ign (0.2.1-1stretch) stretch; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sat, 11 May 2019 07:00:00 -0000

ros-melodic-ros1-ign (0.2.0-1stretch) stretch; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Thu, 09 May 2019 07:00:00 -0000

ros-melodic-ros1-ign (0.1.0-1stretch) stretch; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Wed, 20 Mar 2019 07:00:00 -0000

=== debian/control ===
Source: ros-melodic-ros1-ign
Section: misc
Priority: extra
Maintainer: Louise Poubel <louise@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-ros1-ign
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-ros1-ign-bridge, ros-melodic-ros1-ign-gazebo-demos, ros-melodic-ros1-ign-image, ros-melodic-ros1-ign-point-cloud
Description: Meta-package containing interfaces for using ROS with Ignition simulation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ros1-ign//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
